package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterReservoirImpoundage;
import com.lightinit.hsdatashow.entity.StWaterReservoirImpoundageExample;
import com.lightinit.hsdatashow.model.topic.water.NameAndValue;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface StWaterReservoirImpoundageMapper {
    long countByExample(StWaterReservoirImpoundageExample example);

    int deleteByExample(StWaterReservoirImpoundageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterReservoirImpoundage record);

    int insertSelective(StWaterReservoirImpoundage record);

    List<StWaterReservoirImpoundage> selectByExample(StWaterReservoirImpoundageExample example);

    StWaterReservoirImpoundage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterReservoirImpoundage record, @Param("example") StWaterReservoirImpoundageExample example);

    int updateByExample(@Param("record") StWaterReservoirImpoundage record, @Param("example") StWaterReservoirImpoundageExample example);

    int updateByPrimaryKeySelective(StWaterReservoirImpoundage record);

    int updateByPrimaryKey(StWaterReservoirImpoundage record);

    BigDecimal getYongshui();

    List<NameAndValue> getGeshuikuYongshui();
}